## org.apache.cassandra.cache
Class SerializingCacheProvider

    java.lang.Object
      org.apache.cassandra.cache.SerializingCacheProvider

All Implemented Interfaces:
  IRowCacheProvider

    public class SerializingCacheProvider

extends java.lang.Object
implements IRowCacheProvider

Constructor Summary
`SerializingCacheProvider()`

Method Summary
`ICache<DecoratedKey,ColumnFamily>` `create(int capacity, java.lang.String tableName, java.lang.String cfName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializingCacheProvider

    public SerializingCacheProvider()
                             throws ConfigurationException

Throws:
  `ConfigurationException`

Method Detail

### create

    public ICache<DecoratedKey,ColumnFamily> create(int capacity,
                                                    java.lang.String tableName,
                                                    java.lang.String cfName)

  Specified by:
    `create` in interface `IRowCacheProvider`

Copyright © 2012 The Apache Software Foundation